### Virtual Method

# Ide CompletionProvider get_priority

#### Declaration

    gint
    get_priority (
      IdeCompletionProvider* self,
      IdeCompletionContext* context
    )

#### Description

Gets the priority for the completion provider.

This value is used to group all of the providers proposals together when displayed, with relation to other providers.

The `context` is provided as some providers may want to lower their priority based on the position of the completion.

Available since: | 3.32

#### Parameters

`context` | `IdeCompletionContext`
| An `IdeCompletionContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gint`
| An integer specific to the provider.